Entitlement API

  • Release version: Zurich
  • Updated July 31, 2025
  • 13 minutes to read
  • The Entitlement API provides endpoints to create and retrieve entitlement records from an instance.

    Entitlement checks occur as part of post-sales support services for customers that purchase a product, such as an appliance or computer. Entitlement checks are made by agents to determine what services customers are eligible to receive for the products they've purchased. Use the Entitlement API to define and retrieve entitlements.

    This API accesses and stores data in the following tables:
    • Account [customer_account]
    • Consumer [csm_consumer]
    • Household [csm_household]
    • Install Base [sn_install_base_item]
    • Product Model [cmdb_model]
    • Product Offering [sn_prd_pm_product_offering]
    • Sold Product [sn_install_base_sold_product]
    To access this API, the following plugins must be activated on the associated instance:
    • Customer Contracts and Entitlements (com.sn_pss_core) 
    • Customer Service Install Base Management (com.snc.install_base)
    • Product Catalog Management Core (com.sn_prd_pm)

    In addition, to successfully call this API you must have the sn_pss_core.pss_integrator role. This API runs in the sn_pss_core namespace.

    Entitlement - GET /sn_pss_core/entitlement/{id}

    Returns the specified entitlement record, its associated coverage, and its latest usage details.

    The following is the list of tables in which the entitlement data is stored:
    • Characteristics [sn_pss_core_entitlement_characteristic]
    • Entitlement [service_entitlement]
    • Entitlement Usage [sn_pss_core_entitlement_usage]
    • Sold Product Covered [sn_install_base_m2m_contract_sold_product] - This table contains information for both sold products covered and install base items covered.

    URL format

    Versioned URL: /api/sn_pss_core/{api_version}/entitlement/{id}

    Default URL: /api/sn_pss_core/entitlement/{id}

    Note:
    Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

    Supported request parameters

    Table 1. Path parameters
    Name Description
    api_version Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest.

    Data type: String

    id Sys_id of the entitlement record to retrieve.

    Data type: String

    Table: Entitlement [service_entitlement]

    Table 2. Query parameters
    Name Description
    display_value Type of data to return.
    Valid values:
    • false: Return the value for all fields. For example, "state":"draft".
    • true: Return the display_value for all fields. For example, "state":"Draft"
    • all: Return all information for all fields.

    Data type: String

    Default: false

    Table 3. Request body parameters (JSON)
    Name Description
    None

    Headers

    The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

    Table 4. Request headers
    Header Description
    Accept Data format of the response body. Supported types: application/json or application/xml.

    Default: application/json

    Table 5. Response headers
    Header Description
    None

    Status codes

    The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

    Table 6. Status codes
    Status code Description
    200 Successful. The request was successfully processed.
    400 Bad Request. A bad request type or malformed request was detected.
    403 Forbidden. The user doesn't have access rights to the specified record.
    404 Not found. The requested item wasn't found.
    500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

    Response body parameters

    Name Description
    account
    Sys_id of the account record to which the entitlement belongs.

    Data type: String

    Table: Account [customer_account]

    consumer
    Sys_id of the consumer record to which the entitlement belongs.

    Data type: String

    Table: Consumer [csm_consumer]

    contract Sys_id of the contract record to which the entitlement belongs.

    Data type: String

    Table: Service Contract [sn_pss_core_service_contract]

    end_date End date of the entitlement.

    Data type: String

    Format: yyyy-mm-dd

    Default: Never ends until manually removed.

    entitlement_characteristics List of characteristics associated with the entitlement.

    Data type: Array of Objects

    "entitlement_characteristics" [
      {
        "characteristic": "String",
        "characteristic_option": "String",
        "entitlement": "String",
        "entitlement_usage": [Array],
        "service_contract_line": "String",
        "sys_created_by": "String",
        "sys_created_on": "String",
        "sys_id": "String",
        "sys_updated_by": "String",
        "sys_updated_on": "String",
        "type": "String",
        "value": "String"
      }
    ]

    Stored in: Characteristic [sn_pss_core_entitlement_characteristic]

    entitlement_characteristics.​characteristic
    Sys_id of the characteristic record associated with the entitlement.

    Data type: String

    Table: Characteristic [sn_prd_pm_characteristic]

    entitlement_characteristics.​characteristic_option Sys_id of the characteristic option record associated with the entitlement.

    Data type: String

    Table: Characteristic Option [sn_prd_pm_characteristic_option]

    entitlement_characteristics.​entitlement Sys_id of the associated entitlement record.

    Data type: String

    Table: Entitlement [service_entitlement]

    entitlement_characteristics.​entitlement_usage List of entitlement usages associated with the entitlement characteristic.

    Data type: Array of Objects

    "entitlement_usage": [
      {
        "entitlement": "String",
        "entitlement_characteristic": "String",
        "period_end": "String",
        "period_start": "String",
        "service_contract_line": "String",
        "sys_created_by": "String",
        "sys_created_on": "String",
        "sys_id": "String",
        "sys_updated_by": "String",
        "sys_updated_on": "String",
        "total_units": "String",
        "used_units": "String"
      }
    ]
    entitlement_characteristics.​entitlement_usage.​entitlement Sys_id of the entitlement record associated with the entitlement usage.

    Data type: String

    Table: Entitlement [service_entitlement]

    entitlement_characteristics.​entitlement_usage.​entitlement_characteristic Sys_id of the entitlement characteristic record associated with the entitlement usage.

    Data type: String

    Table: Characteristic [sn_pss_core_entitlement_characteristic]

    entitlement_characteristics.​entitlement_usage.​period_end End date when the entitlement usage is no longer tracked.

    Data type: String

    Format: yyyy-mm-dd

    entitlement_characteristics.​entitlement_usage.​period_start Starting date of when the entitlement usage is tracked.

    Data type: String

    Format: yyyy-mm-dd

    entitlement_characteristics.​entitlement_usage.​service_contract_line Sys_id of the service contract line to which the current entitlement usage belongs.

    Data type: String

    entitlement_characteristics.​entitlement_usage.​sys_created_by Name of the user that created the entitlement usage record.

    Data type: String

    entitlement_characteristics.​entitlement_usage.​sys_created_on Date and time that the entitlement usage record was created.

    Data type: String

    entitlement_characteristics.​entitlement_usage.​sys_id Sys_id of the entitlement usage record.

    Data type: String

    Table: Entitlement Usage [sn_pss_core_entitlement_usage]

    entitlement_characteristics.​entitlement_usage.​sys_updated_by Name of the user that last updated the entitlement usage record.

    Data type: String

    entitlement_characteristics.​entitlement_usage.​sys_updated_on Date and time that the entitlement usage record was last updated.

    Data type: String

    entitlement_characteristics.​entitlement_usage.​total_units Total coverage value of the associated entitlement characteristic.

    Data type: String

    entitlement_characteristics.​entitlement_usage.​used_units Number of units used by the account or consumer between the period_start and the period_end.

    Data type: String

    entitlement_characteristics.​type Type of entitlement characteristic.
    Valid values:
    • coverage
    • coverage_and_usage

    Data type: String

    entitlement_characteristics.​value
    Value of the characteristic.

    Data type: String

    entitlement_name
    Name of the entitlement.

    Data type: String

    household
    Sys_id of the household record associated with the entitlement.

    Data type: String

    Table: Household [csm_household]

    install_base_items_covered List of install base items covered under the  entitlement.

    Data type: Array of Objects

     "install_base_items_covered": [ 
      {
        "added": "String",
        "contract": "String",
        "entitlement": "String",
        "install_base": "String",
        "removed": "String",
        "service_contract_line": "String",
        "sys_created_by": "String",
        "sys_created_on": "String",
        "sys_id": "String",
        "sys_updated_by": "String",
        "sys_updated_on": "String"
      }
    ]

    Table: Sold Product Covered  [sn_install_base_m2m_contract_sold_product]

    install_base_items_covered.​added Date that the associated install base item was added to the entitlement.

    Data type: String

    install_base_items_covered.​contract Sys_id of the service contract record associated with the install base item.

    Data type: String

    Table: Service Contract [sn_pss_core_service_contract]

    install_base_items_covered.​install_base Sys_id of the install base item covered by the service contract line.

    Data type: String

    Table: Install Base Item [sn_install_base_item]

    install_base_items_covered.​removed Date that the associated install base item was removed from the entitlement.

    Data type: String

    install_base_items_covered.​entitlement Sys_id of the entitlement record associated with the install base item.

    Data type: String

    Table: Entitlement [service_entitlement]

    install_base_items_covered.​service_contract_line Sys_id of the associated service contract line record.

    Data type: String

    Table: Service Contract Line [sn_pss_core_service_contract_line]

    install_base_items_covered.​sys_created_by Name of the user that created the install base item record.

    Data type: String

    install_base_items_covered.​sys_created_on Date and time that the install base item record was created.

    Data type: String

    install_base_items_covered.​sys_id Sys_id of the install base item covered.

    Data type: String

    Table: Sold Product Covered [sn_install_base_m2m_contract_sold_product]

    install_base_items_covered.​sys_updated_by Name of the user that last updated the install base item record.

    Data type: String

    install_base_items_covered.​sys_updated_on Date and time that the install base item record was last updated.

    Data type: String

    product Sys_id of the product model record associated with the entitlement.

    Data type: String

    Table: Product Model [cmdb_model]

    product_offering Sys_id of the product offering record associated with the entitlement.

    Data type: String

    Table: Product Offering [sn_prd_pm_product_offering]

    sold_entitlement Sys_id of the sold product record associated with the entitlement.

    Data type: String

    Table: Sold Product [sn_install_base_sold_product]

    sold_products_covered List of products covered.

    Data type: Array of Objects

    "sold_products_covered": [ 
      {
        "added": "String",
        "contract": "String",
        "entitlement": "String",
        "removed": "String",
        "service_contract_line": "String",
        "sold_product": "String",
        "sys_created_by": "String",
        "sys_created_on": "String",
        "sys_id": "String",
        "sys_updated_by": "String",
        "sys_updated_on": "String"
      }
    ]

    Table: Sold Product Covered [sn_install_base_m2m_contract_sold_product]

    sold_products_covered.​added Date that the associated sold product was added to the entitlement.

    Data type: String

    Format: yyyy-mm-dd

    Default: Current date

    sold_products_covered.​contract Sys_id of the service contract record associated with the sold product covered.

    Data type: String

    Table: Service Contract [sn_pss_core_service_contract]

    sold_products_covered.​entitlement Sys_id of the entitlement record associated with the sold product covered.

    Data type: String

    Table: Entitlement [service_entitlement]

    sold_products_covered.removed Date that the associated sold product was removed from the entitlement.

    Data type: String

    Format: yyyy-mm-dd

    Default: No end date

    sold_products_covered.​service_contract_line Sys_id of the service contract line record associated with the sold product covered.

    Data type: String

    Table: Service Contract Line [sn_pss_core_service_contract_line]

    sold_products_covered.​sold_product Sys_id of the product covered by the entitlement.

    Data type: String

    Table: Sold Product [sn_install_base_sold_product]

    sold_products_covered.​sys_created_by Name of the user that created the sold product covered record.

    Data type: String

    sold_products_covered.​sys_created_on Date and time that the sold product covered record was created.

    Data type: String

    sold_products_covered.​sys_id Sys_id of the product covered by this service contract.

    Data type: String

    Table: Sold Product Covered [sn_install_base_m2m_contract_sold_product]

    sold_products_covered.​sys_updated_by Name of the user that last updated the sold product covered record.

    Data type: String

    sold_products_covered.​sys_updated_on Date and time that the sold product covered record was last updated.

    Data type: String

    start_date
    Start date of the entitlement.

    Data type: String

    Format: yyyy-mm-dd

    state
    Current state of the entitlement.
    Valid values: (case-sensitive)
    • active
    • cancelled
    • draft
    • expired
    • suspended

    Data type: String

    sys_created_by Name of the user that created the entitlement record.

    Data type: String

    sys_created_on Date and time that the entitlement record was created.

    Data type: String

    sys_id Sys_id of the associated entitlement record.

    Data type: String

    Table: Entitlement [service_entitlement]

    sys_updated_by Name of the user that last updated the entitlement record.

    Data type: String

    sys_updated_on Date and time that the entitlement record was created.

    Data type: String

    cURL request

    The following example shows how to call this endpoint to retrieve an entitlement template.

    curl "https://instance.servicenow.com/api/sn_pss_core/entitlement/fc73d2de89226110f877430a4e008" \
    --request GET \
    --header "Accept:application/json" \
    --user "username":"password"

    Response:

    {
      "result": {
        "sys_id": "5a651515d1f53110f8776589fa411f7b",
        "sys_created_by": "admin",
        "sys_updated_by": "admin",
        "sys_created_on": "2023-10-09 11:31:59",
        "sys_updated_on": "2023-10-09 11:31:59",
        "entitlement_name": "indep entl",
        "account": "4c325111d1f53110f8776589fa411f3d",
        "consumer": null,
        "household": null,
        "contract": null,
        "service_contract_line": null,
        "state": "active",
        "product_offering": null,
        "sold_entitlement": null,
        "product": null,
        "start_date": "2023-10-03",
        "end_date": "2024-12-03",
        "sold_products_covered": [
          {
            "sys_id": "d6651515d1f53110f8776589fa411f7c",
            "sys_created_by": "admin",
            "sys_updated_by": "admin",
            "sys_created_on": "2023-10-09 11:31:59",
            "sys_updated_on": "2023-10-09 11:31:59",
            "contract": null,
            "service_contract_line": null,
            "entitlement": "5a651515d1f53110f8776589fa411f7b",
            "sold_product": "0df21151d1f53110f8776589fa411f1b",
            "added": "",
            "removed": ""
          }
        ],
        "install_base_items_covered": [
          {
            "sys_id": "12651515d1f53110f8776589fa411f7d",
            "sys_created_by": "admin",
            "sys_updated_by": "admin",
            "sys_created_on": "2023-10-09 11:31:59",
            "sys_updated_on": "2023-10-09 11:31:59",
            "contract": null,
            "service_contract_line": null,
            "entitlement": "5a651515d1f53110f8776589fa411f7b",
            "install_base": "e2639951d1f53110f8776589fa411f2b",
            "added": "",
            "removed": ""
          }
        ],
        "entitlement_characteristics": [
          {
            "sys_id": "12651515d1f53110f8776589fa411f7e",
            "sys_created_by": "admin",
            "sys_updated_by": "admin",
            "sys_created_on": "2023-10-09 11:31:59",
            "sys_updated_on": "2023-10-09 11:31:59",
            "service_contract_line": null,
            "entitlement": "5a651515d1f53110f8776589fa411f7b",
            "characteristic_option": "495149b7539e61106bfcddeeff7b1262",
            "value": "5",
            "characteristic": "63418db7539e61106bfcddeeff7b1238",
            "type": "coverage_and_usage",
            "entitlement_usage": [
              {
                "sys_id": "de651515d1f53110f8776589fa411f7e",
                "sys_created_by": "admin",
                "sys_updated_by": "admin",
                "sys_created_on": "2023-10-09 11:31:59",
                "sys_updated_on": "2023-10-09 11:31:59",
                "entitlement": "5a651515d1f53110f8776589fa411f7b",
                "service_contract_line": null,
                "entitlement_characteristic": "12651515d1f53110f8776589fa411f7e",
                "period_start": "2023-10-03",
                "period_end": "2024-12-03",
                "total_units": "5",
                "used_units": "25"
              }
            ]
          }
        ]
      }
    }

    Entitlement - POST /sn_pss_core/entitlement

    Creates an entitlement record and all its related detail records.

    The following is the list of tables in which the entitlement data is stored:
    • Characteristic [sn_pss_core_entitlement_characteristic]
    • Entitlement [service_entitlement]
    • Entitlement Usage [sn_pss_core_entitlement_usage]
    • Sold Products Covered [sn_install_base_m2m_contract_sold_product] - This table contains information for both sold products covered and install base items covered.

    URL format

    Versioned URL: /api/sn_pss_core/{api_version}/entitlement

    Default URL: /api/sn_pss_core/entitlement

    Note:
    Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

    Supported request parameters

    Table 7. Path parameters
    Name Description
    api_version Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest.

    Data type: String

    Table 8. Query parameters
    Name Description
    None
    Table 9. Request body parameters (JSON)
    Name Description
    account Required if the consumer parameter is not passed.
    Sys_id of the account record to which the entitlement belongs.

    Data type: String

    Table: Account [customer_account]

    consumer Required if the account parameter is not passed.
    Sys_id of the consumer record to which the entitlement belongs.

    Data type: String

    Table: Consumer [csm_consumer]

    end_date End date of the entitlement.

    Data type: String

    Format: yyyy-mm-dd

    Default: Never ends until manually removed.

    entitlement_characteristics List of characteristics associated with the entitlement.

    Data type: Array of Objects

    "entitlement_characteristics": [
      {
        "characteristic": "String",
        "characteristic_option": "String",
        "entitlement_usage": {Object},
        "type": "String",
        "value": "String"
      }
    ]

    Stored in: Characteristic [sn_pss_core_entitlement_characteristic]

    entitlement_characteristics.​characteristic Required.
    Sys_id of the characteristic record associated with the entitlement.

    Data type: String

    Table: Characteristic [sn_prd_pm_characteristic]

    entitlement_characteristics.​characteristic_option Sys_id of the characteristic option record associated with the entitlement.

    Data type: String

    Table: Characteristic Option [sn_prd_pm_characteristic_option]

    entitlement_characteristics.​entitlement_usage Used unit value for the associated entitlement characteristic.

    Only pass this parameter if the entitlement_characteristics are under the entitlement.

    Data type: Object

    "entitlement_usage": {
        "used_units": "String"
    }

    Stored in: Entitlement Usage [sn_pss_core_entitlement_usage]

    entitlement_characteristics.​entitlement_usage.​usage_units Usage of the associated entitlement characteristic.

    Data type: String

    entitlement_characteristics.​type Type of entitlement characteristic.
    Valid values:
    • coverage
    • coverage_and_usage

    Data type: String

    entitlement_characteristics.​value Required if the input_type parameter contained in the record specified in the entitlement_characteristics.characteristic parameter, is not choice.
    Value of the characteristic.

    Data type: String

    entitlement_name Required.
    Name of the entitlement.

    Data type: String

    household Only passed when the household plugins are active and the consumer parameter is passed.
    Sys_id of the household record associated with the entitlement.

    Data type: String

    Table: Household [csm_household]

    install_base_items_covered
    List of install base items covered under the entitlement. The information in this array is inserted in the Sold Product Covered  [sn_install_base_m2m_contract_sold_product] table.

    Data type: Array of Objects

    "install_base_items_covered": [ 
      {
        "added": "String",
        "install_base": "String",
        "removed": "String"
      }
    ]

    For more information on Install Base Items Configure Install base.

    install_base_items_covered.added Date that the associated install base item was added to the entitlement.

    Data type: String

    Format: yyyy-mm-dd

    Default: Current date

    install_base_items_covered.​install_base Sys_id of the associated install base item record.

    Data type: String

    Table: Install Base Item [sn_install_base_item]

    install_base_items_covered.​removed Date that the associated install base item was removed from the entitlement.

    Data type: String

    Format: yyyy-mm-dd

    Default: No end date

    product Sys_id of the product model record associated with the entitlement.

    Data type: String

    Table: Product Model [cmdb_model]

    product_offering Sys_id of the product offering record associated with the entitlement.

    Data type: String

    Table: Product Offering [sn_prd_pm_product_offering]

    sold_entitlement Sys_id of the sold product record associated with the entitlement.

    Data type: String

    Table: Sold Product [sn_install_base_sold_product]

    sold_products_covered List of products covered under the entitlement.

    Data type: Array of Objects

    "sold_products_covered": [ 
      {
        "added": "String",
        "removed": "String",
        "sold_product": "String"
      }
    ]

    Stored in: Sold Product Covered [sn_install_base_m2m_contract_sold_product]

    sold_products_covered.added Date that the associated sold product was added to the entitlement.

    Data type: String

    Format: yyyy-mm-dd

    Default: Current date

    sold_products_covered.removed Date that the associated sold product was removed from the entitlement.

    Data type: String

    Format: yyyy-mm-dd

    Default: No end date

    sold_products_covered.sold_product Sys_id of the product covered by the entitlement.

    Data type: String

    Table: Sold Product [sn_install_base_sold_product]

    start_date Required.
    Start date of the entitlement.

    Data type: String

    Format: yyyy-mm-dd

    state Required.
    Current state of the entitlement.
    Valid values: (case-sensitive)
    • active
    • cancelled
    • draft
    • expired
    • suspended

    Data type: String

    Headers

    The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

    Table 10. Request headers
    Header Description
    Accept Data format of the response body. Supported types: application/json or application/xml.

    Default: application/json

    Content-Type Data format of the request body. Supported types: application/json or application/xml.

    Default: application/json

    Table 11. Response headers
    Header Description
    None

    Status codes

    The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

    Table 12. Status codes
    Status code Description
    201 Successful. The request was successfully processed and the records were created.
    400 Bad Request. A bad request type or malformed request was detected.
    403 Forbidden. The user doesn't have permission to access the API.
    500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

    Response body parameters (JSON)

    Name Description
    entitlement_characteristics List of the entitlement characteristic objects  created under the entitlement.

    Data type: Array of Objects

    "entitlement_characteristics" [
      {
        "entitlement_usage": {Object},
        "sys_id": "String"
      }
    ]
    entitlement_characteristics.​entitlement_usage Entitlement usage object inserted under the entitlement_characteristic.

    Data type: Object

    "entitlement_usage": {
        "sys_id": "String"
    }
    entitlement_characteristics.​entitlement_usage.​sys_id Sys_id of the entitlement usage record.

    Data type: String

    Table: Entitlement Usage [sn_pss_core_entitlement_usage]

    entitlement_characteristics.​sys_id Sys_id of a entitlement characteristics record associated with the entitlement.

    Data type: String

    Table: Characteristic [sn_pss_core_entitlement_characteristic]

    entitlement_name
    Name of the entitlement.

    Data type: String

    install_base_items_covered List of sys_ids of the install base items covered under the entitlement.

    Data type: Array of Objects

    "install_base_items_covered": [ 
      {
        "sys_id": "String"
      }
    ]
    install_base_items_covered.​sys_id Sys_id of a install base items covered by the entitlement.

    Data type: String

    Table: Sold Product Covered [sn_install_base_m2m_contract_sold_product]

    sold_prodocts_covered List of sys_ids of the products covered under the entitlement.

    Data type: Array of Objects

    "sold_products_covered": [ 
      {
        "sys_id": "String"
      }
    ]
    sold_products_covered.​sys_id Sys_id of a product associated with the entitlement.

    Data type: String

    Table: Sold Product Covered [sn_install_base_m2m_contract_sold_product]

    sys_id Sys_id of the associated entitlement record.

    Data type: String

    Table: Entitlement [service_entitlement]

    cURL request

    The following example shows how to create an entitlement template.

    curl "https://instance.servicenow.com/api/sn_pss_core/entitlement" \
    --request POST \
    --header "Accept:application/json" \
    --data
    {
      "state": "active",
      "entitlement_name": "indep entl",
      "account": "4c325111d1f53110f8776589fa411f3d",
      "start_date": "2023-10-03",
      "end_date": "2024-12-03",
      "sold_products_covered": [
        {
          "sold_product": "0df21151d1f53110f8776589fa411f1b"
        }
      ], 
      "install_base_items_covered": [
        {
          "install_base": "e2639951d1f53110f8776589fa411f2b"
        }
      ],
      "entitlement_characteristics": [
        {
          "characteristic": "63418db7539e61106bfcddeeff7b1238",
          "characteristic_option": "495149b7539e61106bfcddeeff7b1262",
          "value": "20",
          "type": "coverage_and_usage",
          "entitlement_usage": {
            "used_units": "25"
          } 
        }
      ]
    }

    Response:

    {
      "result": {
        "sys_id": "5a651515d1f53110f8776589fa411f7b",
        "entitlement_name": "indep entl",
        "sold_products_covered": [
          {
            "sys_id": "d6651515d1f53110f8776589fa411f7c"
          }
        ],
        "install_base_items_covered": [
          {
            "sys_id": "12651515d1f53110f8776589fa411f7d"
          }
        ],
        "entitlement_characteristics": [
          {
            "sys_id": "12651515d1f53110f8776589fa411f7e",
            "entitlement_usage": {
              "sys_id": "de651515d1f53110f8776589fa411f7e"
            }
          }
        ]
      }
    }